!(function () {
  "use strict";
  function e() {
    (document.querySelector(".preloader").style.opacity = "0"),
      (document.querySelector(".preloader").style.display = "none");
  }
  (window.onload = function () {
    window.setTimeout(e, 200);
  }),
    (window.onscroll = function () {
      var e = document.querySelector(".navbar-area"),
        t = e.offsetTop;
      window.pageYOffset > t
        ? e.classList.add("sticky")
        : e.classList.remove("sticky");
    });
  let t = document.querySelector(".navbar-toggler");
  t.addEventListener("click", function () {
    t.classList.toggle("active");
  }),
    new WOW({ mobile: !0 }).init(),
    new counterUp({
      start: 0,
      duration: 2e3,
      intvalues: !0,
      interval: 100,
      append: " ",
    }).start();
  for (
    var n = document.getElementsByClassName("portfolio-btn"), o = 0;
    o < n.length;
    o++
  )
    n[o].onclick = function () {
      for (var e = n[0]; e; )
        "BUTTON" === e.tagName && e.classList.remove("active"),
          (e = e.nextSibling);
      this.classList.add("active");
    };
})(),
  (window.onscroll = function () {
    var e = document.querySelector(".navbar-area"),
      t = e.offsetTop;
    window.pageYOffset > t
      ? e.classList.add("sticky")
      : e.classList.remove("sticky");
  }),
  (Math.easeInOutQuad = function (e, t, n, o) {
    return (e /= o / 2) < 1
      ? (n / 2) * e * e + t
      : (-n / 2) * (--e * (e - 2) - 1) + t;
  });
